## AnjutaSyncCommand AnjutaSyncCommand — #AnjutaCommand subclass that serves as the base for commands that run synchronously. |

## Synopsis

    #include <libanjuta/anjuta-sync-command.h>

                        AnjutaSyncCommand;

## Object Hierarchy

      GObject
       +----AnjutaCommand
             +----AnjutaSyncCommand

## Description

AnjutaSyncCommand allows plugins to abstract the work of tasks that do not need to be run in another thread. This class can provide a base for abstratraction between client code and asynchronous facilities such as AnjutaLauncher or GIO, and is especially useful when complicated tasks are being performed.

AnjutaSyncCommand simply calls ::run directly from ::start, and emits the command-finished signal as soon as it returns.

For an example of how AnjutaSyncCommand is used, see the Git plugin.

## Details

### AnjutaSyncCommand

    typedef struct _AnjutaSyncCommand AnjutaSyncCommand;